xserver-xorg-video-vesa (1:2.6.0-2) unstable; urgency=medium

  * Team upload.
  * Only build on x86 platforms. Closes: #1087279.
  * control: switch to pkgconf.
  * Switch copyright to DEP-5, thanks Zixing Liu.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 24 Jan 2025 09:37:25 +0100

xserver-xorg-video-vesa (1:2.6.0-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump policy to 4.6.2.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 08 Nov 2023 14:44:29 +0200

xserver-xorg-video-vesa (1:2.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper to 12.
  * upstream: Add ajax's gpg key to signing-key.asc.
  * control: Migrate to x11proto-dev.
  * control: Bump policy to 4.5.0.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 24 Sep 2020 11:07:22 +0300

xserver-xorg-video-vesa (1:2.4.0-2) unstable; urgency=medium

  * Cherry-pick a commit to fix default bpp selection. (LP: #1818879)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 08 Mar 2019 10:46:08 +0200

xserver-xorg-video-vesa (1:2.4.0-1) unstable; urgency=medium

  [ Sven Joachim ]
  * New upstream release.
  * Update Vcs-* fields to point at salsa.debian.org.
  * Use https in debian/watch.
  * Bump Standards-Version to 4.1.3, no changes needed.

  [ Andreas Boll ]
  * Update some URLs in packaging to https.
  * Set source format to 1.0.
  * Bump standards version to 4.2.0.

 -- Andreas Boll <aboll@debian.org>  Sat, 18 Aug 2018 13:42:56 +0200

xserver-xorg-video-vesa (1:2.3.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Let uscan verify tarball signatures.
  * Remove Cyril from Uploaders.
  * Bump debhelper compat level to 9.
  * Bump Standards-Version to 3.9.6 and update Vcs-* control fields.

 -- Julien Cristau <jcristau@debian.org>  Wed, 28 Oct 2015 16:55:39 +0000

xserver-xorg-video-vesa (1:2.3.3-1) unstable; urgency=low

  [ Maarten Lankhorst ]
  * New upstream release.
  * Bump Standards-Version to 3.9.3 (no changes needed).

  [ Michele Cane ]
  * Bump Standards-Version to 3.9.4, no changes needed.
  * New upstream release.

  [ Julien Cristau ]
  * Disable silent build rules.

 -- Julien Cristau <jcristau@debian.org>  Thu, 12 Sep 2013 19:26:20 +0200

xserver-xorg-video-vesa (1:2.3.1-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable, so lower xserver-xorg-dev build-dep.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 02 Apr 2012 01:52:58 +0000

xserver-xorg-video-vesa (1:2.3.0-7+exp1) experimental; urgency=low

  * Merge from upstream master up to 4ba7306fd0 to make it possible
    to build against 1.12 RC1 (video ABI 12).
  * Build against Xserver 1.12 RC1.
  * Add an explicit build-dep on libpciaccess-dev (pulled implicitly
    through xserver-xorg-dev), with the right version.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 01 Jan 2012 07:04:23 +0100

xserver-xorg-video-vesa (1:2.3.0-7) unstable; urgency=low

  * Upload to unstable.

 -- Cyril Brulebois <kibi@debian.org>  Wed, 15 Jun 2011 14:57:46 +0200

xserver-xorg-video-vesa (1:2.3.0-6) experimental; urgency=low

  * Add udeb needed for the graphical install on non-Linux ports since
    fbdev is Linux-only (Closes: #596595).
  * Merge from upstream master up to 0b02c68581, including:
    - Refuse to load if there's a kernel driver bound to the device
  * This makes the need for the following patch go away, so remove:
    - 001_ubuntu_bail_when_kms_active.patch
  * Remove libdrm-dev and x11proto-xf86dri-dev build-dep accordingly.
  * As a consequence, libdrm is no longer used, even if libdrm-dev is
    present at build-time (Closes: #596594).
  * Update debian/copyright from upstream COPYING.
  * Bump xutils-dev build-dep for newer macros.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 04 Apr 2011 01:46:48 +0200

xserver-xorg-video-vesa (1:2.3.0-5+exp2) experimental; urgency=low

  * Rebuild against Xserver 1.10 rc3.

 -- Cyril Brulebois <kibi@debian.org>  Fri, 25 Feb 2011 15:56:53 +0100

xserver-xorg-video-vesa (1:2.3.0-5+exp1) experimental; urgency=low

  * Rebuild against Xserver 1.10 rc2.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 21 Feb 2011 01:29:58 +0100

xserver-xorg-video-vesa (1:2.3.0-5) unstable; urgency=low

  * Fix typos in long description.
  * Switch to dh:
    - Use debhelper 8.
    - Use dh-autoreconf.
    - Bump xserver-xorg-dev build-dep for dh_xsf_substvars and xsf
      debhelper sequence.
  * Remove xsfbs accordingly.
  * Update Uploaders list. Thanks, David & Brice!
  * Remove long obsolete Replaces/Conflicts.
  * Wrap Depends/Provides.
  * Bump Standards-Version to 3.9.1 (no changes needed).

 -- Cyril Brulebois <kibi@debian.org>  Sat, 05 Feb 2011 14:59:35 +0100

xserver-xorg-video-vesa (1:2.3.0-4) experimental; urgency=low

  * Build against Xserver 1.9.1 rc1.

 -- Cyril Brulebois <kibi@debian.org>  Wed, 13 Oct 2010 00:54:34 +0200

xserver-xorg-video-vesa (1:2.3.0-3) unstable; urgency=low

  * Add patch by Christopher James Halse Rogers from Ubuntu to bail in Probe
    if kernel mode setting is enabled.

 -- Julien Cristau <jcristau@debian.org>  Sat, 15 May 2010 13:14:24 +0200

xserver-xorg-video-vesa (1:2.3.0-2) unstable; urgency=low

  [ Julien Cristau ]
  * Remove myself from Uploaders

  [ Cyril Brulebois ]
  * Update to new xsfbs, replace deprecated ${xserver:Depends} with
    ${xviddriver:Depends} in Depends, and bump B-D on xserver-xorg-dev
    accordingly.
  * Add myself to Uploaders.
  * Bump Standards-Version from 3.8.3 to 3.8.4 (no changes needed).

 -- Cyril Brulebois <kibi@debian.org>  Mon, 03 May 2010 22:05:06 +0200

xserver-xorg-video-vesa (1:2.3.0-1) unstable; urgency=low

  [ Timo Aaltonen ]
  * New upstream release.
    + Add missing shadowRemove() in VESACloseScreen() (closes: #565401)

  [ Julien Cristau ]
  * Rename the build directory to not include DEB_BUILD_GNU_TYPE for no
    good reason.  Thanks, Colin Watson!
  * Bump build-dep on xutils-dev for new util-macros.

 -- Brice Goglin <bgoglin@debian.org>  Wed, 20 Jan 2010 23:35:50 +0100

xserver-xorg-video-vesa (1:2.2.1-2) unstable; urgency=low

  [ Timo Aaltonen ]
  * Bump Standards-Version to 3.8.3.
  * Build against Xserver 1.7.

  [ Cyril Brulebois ]
  * Upload to experimental.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 06 Dec 2009 00:57:23 +0100

xserver-xorg-video-vesa (1:2.2.1-1) unstable; urgency=low

  * New upstream release.
  * Add README.source, bump Standards-Version to 3.8.2.
  * Add myself to Uploaders.

 -- Brice Goglin <bgoglin@debian.org>  Sat, 01 Aug 2009 09:56:47 +0200

xserver-xorg-video-vesa (1:2.2.0-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable.

 -- Julien Cristau <jcristau@debian.org>  Thu, 09 Apr 2009 13:20:03 +0100

xserver-xorg-video-vesa (1:2.1.0-1) experimental; urgency=low

  * New upstream release.
  * Allow parallel builds.
  * Run autoreconf on build; add build-deps on automake, libtool and
    xutils-dev.
  * Build against xserver 1.6 rc1.

 -- Julien Cristau <jcristau@debian.org>  Mon, 26 Jan 2009 00:29:34 +0100

xserver-xorg-video-vesa (1:2.0.0-2) experimental; urgency=low

  * Add myself to Uploaders, and remove Branden with his permission.
  * Build against xserver 1.5 rc5.

 -- Julien Cristau <jcristau@debian.org>  Mon, 14 Jul 2008 14:51:43 +0200

xserver-xorg-video-vesa (1:2.0.0-1) unstable; urgency=low

  * New upstream release.
  * Add upstream URL to debian/copyright.
  * Remove XS- prefix to Vcs-* fields.
  * Bump Standards-Version to 3.7.3, no change needed.
  * Run dpkg-shlibdeps with --warnings=6.  Drivers reference symbols from
    /usr/bin/Xorg and other modules, and that's not a bug, so we want
    dpkg-shlibdeps to shut up about symbols it can't find.
    + Build-depend on dpkg-dev >= 1.14.17 for dpkg-shlibdeps --warnings.

 -- Brice Goglin <bgoglin@debian.org>  Tue, 01 Jul 2008 21:12:25 +0200

xserver-xorg-video-vesa (1:1.3.0-4) unstable; urgency=low

  * Upload to unstable

 -- David Nusinow <dnusinow@debian.org>  Sun, 16 Sep 2007 15:43:50 -0400

xserver-xorg-video-vesa (1:1.3.0-3) experimental; urgency=low

  [ Timo Aaltonen ]
  * Replaces/Conflicts: xserver-xorg-driver-vesa.

  [ Brice Goglin ]
  * Install the upstream changelog.
  * Bump Build-Depends: xserver-xorg-dev to >= 2:1.2.99.902
    (needed to let xsfbs get access to serverminver).
  * Add XS-Vcs-*.
  * Add a link to www.X.org and a reference to the xf86-video-vesa
    module in the long description.
  * Remove Fabio from uploaders with his permission. He's always welcome back.

  [ David Nusinow ]
  * Build against and build-dep on xserver 1.4
  * Bump standards version to 3.7.2.2. No changes necessary.

 -- David Nusinow <dnusinow@debian.org>  Sun, 09 Sep 2007 21:49:38 -0400

xserver-xorg-video-vesa (1:1.3.0-2) experimental; urgency=low

  * Pull upstream patch to allow use of new pci access lib (we currently don't
    enable this in the debian package)
  * Generate server dependencies automatically from the ABI

 -- David Nusinow <dnusinow@debian.org>  Wed, 21 Feb 2007 22:54:45 -0500

xserver-xorg-video-vesa (1:1.3.0-1) unstable; urgency=low

  [ Julien Cristau ]
  * Add link to xserver-xorg-core bug script, so that bugreports contain
    the user's config and log files.
  * Bump dependency on xserver-xorg-core to >= 2:1.1.1-11, as previous
    versions don't have the bug script.

  [ David Nusinow ]
  * New upstream version. Fixes shadowfb.

 -- David Nusinow <dnusinow@debian.org>  Sun, 10 Dec 2006 19:49:32 -0500

xserver-xorg-video-vesa (1:1.2.1-3) unstable; urgency=low

  [ Steve Langasek ]
  * Upload to unstable

 -- David Nusinow <dnusinow@debian.org>  Mon, 18 Sep 2006 19:58:13 -0400

xserver-xorg-video-vesa (1:1.2.1-2) experimental; urgency=low

  [ Drew Parsons ]
  *  Provides: xserver-xorg-video-1.0 not xserver-xorg-video.

  [ David Nusinow ]
  * Bump xserver (build-)depends epochs to 2: to deal with botched
    server upload

 -- David Nusinow <dnusinow@debian.org>  Tue, 22 Aug 2006 23:46:49 +0000

xserver-xorg-video-vesa (1:1.2.1-1) experimental; urgency=low

  [ Andres Salomon ]
  * Test for obj-$(DEB_BUILD_GNU_TYPE) before creating it during build;
    idempotency fix.
  * Run dh_install w/ --list-missing.

  [ David Nusinow ]
  * New upstream release
  * Bump dependency on xserver-xorg-core to >= 1:1.1.1. Do the same thing for
    the build-dep on xserver-xorg-dev. (closes: #382040)
  * Bump debhelper compat to 5

 -- David Nusinow <dnusinow@debian.org>  Wed, 16 Aug 2006 18:48:31 +0000

xserver-xorg-video-vesa (1:1.0.1.3-2) unstable; urgency=low

  * Upload to modular

 -- David Nusinow <dnusinow@debian.org>  Sun, 26 Mar 2006 20:26:25 -0500

xserver-xorg-video-vesa (1:1.0.1.3-1) experimental; urgency=low

  * First upload to Debian
  * Change source package, package, and provides names to denote the
    type of driver and that they are for xserver-xorg

 -- David Nusinow <dnusinow@debian.org>  Fri, 13 Jan 2006 00:42:38 -0500

xserver-xorg-driver-vesa (1:1.0.1.3-0ubuntu1) dapper; urgency=low

  * New upstream release.
  * Add provides on xserver-xorg-driver.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Wed,  4 Jan 2006 20:09:01 +1100

xserver-xorg-driver-vesa (1:1.0.1.2-0ubuntu1) dapper; urgency=low

  * New upstream release.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Mon, 19 Dec 2005 09:14:37 +1100

xserver-xorg-driver-vesa (1:1.0.1.1-0ubuntu1) dapper; urgency=low

  * New upstream release.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Mon, 12 Dec 2005 13:09:51 +1100

xserver-xorg-driver-vesa (1:1.0.1-0ubuntu2) dapper; urgency=low

  * Add missing Build-Depends (x11proto-core-dev, x11proto-fonts-dev,
    x11proto-randr-dev, x11proto-render-dev).

 -- Daniel Stone <daniel.stone@ubuntu.com>  Mon,  5 Dec 2005 12:59:34 +1100

xserver-xorg-driver-vesa (1:1.0.1-0ubuntu1) dapper; urgency=low

  * New upstream release.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Tue, 22 Nov 2005 13:38:45 +1100

xserver-xorg-driver-vesa (1:1.0.0.1-1) dapper; urgency=low

  * New upstream release.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Tue, 25 Oct 2005 17:12:35 +1000

xserver-xorg-driver-vesa (1:1.0.0-1) breezy; urgency=low

  * First xserver-xorg-driver-vesa release.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Wed,  6 Jul 2005 15:48:17 +1000
